Use SHA256 exclusively for everything in keyctl-smoke.sh

Not all new TPMs support SHA1. Use SHA256 exclusively both for name and
bank algorithm.

Signed-off-by: Jarkko Sakkinen <jarkko.sakkinen@linux.intel.com>
diff --git a/keyctl-smoke.sh b/keyctl-smoke.sh
index c2788d3..3ca23b1 100755
--- a/keyctl-smoke.sh
+++ b/keyctl-smoke.sh
@@ -13,8 +13,8 @@
 }
 
 KEYHANDLE=$(./tpm2-root-key || die 1)
-POLICYDIGEST=$(./tpm2-pcr-policy --pcr 16 --name-alg=sha256 --bank=sha1 --trial || die 1)
-POLICYHANDLE=$(./tpm2-pcr-policy --pcr 16 --name-alg=sha256 --bank=sha1 || die 1)
+POLICYDIGEST=$(./tpm2-pcr-policy --pcr 16 --name-alg=sha256 --bank=sha256 --trial || die 1)
+POLICYHANDLE=$(./tpm2-pcr-policy --pcr 16 --name-alg=sha256 --bank=sha256 || die 1)
 KEYID=$(keyctl add trusted kmk "new 32 keyhandle=$KEYHANDLE hash=sha256 policydigest=$POLICYDIGEST" @u || die 1)
 
 keyctl pipe $KEYID > blob.hex || die 1